<?php
/**
 * Biblioteca - com_borrartodo2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2008 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2008-02-26
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function borraTodoMySQL($db)
{
    global $dbDb, $dbObras, $dbUsuarios, $dbPrestamos, $tamAutor, $tamTitulo,
           $tamEditorial, $tamNombre, $tamApellidos, $tamDni, $tamFecha;
    
    $consulta = "DROP DATABASE $dbDb";
    if ($db->query($consulta)) {
        print "<p>Base de datos borrada correctamente.</p>\n";
    } else {
        print "<p>Error al borrar la base de datos.</p>\n";
    }
    $consulta = "CREATE DATABASE $dbDb";
    if ($db->query($consulta)) {
        print "<p>Base de datos creada correctamente.</p>\n";
        $consultaCreaTablaObras = "CREATE TABLE $dbObras (
            id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
            autor VARCHAR($tamAutor), 
            titulo VARCHAR($tamTitulo), 
            editorial VARCHAR($tamEditorial),   
            PRIMARY KEY(id)
            )";
        if ($db->query($consultaCreaTablaObras)) {
            print "<p>Tabla de Obras creada correctamente.</p>\n";
        } else {
            print "<p>Error al crear la tabla de Obras.</p>\n";
        }
        $consultaCreaTablaUsuarios = "CREATE TABLE $dbUsuarios (
            id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
            nombre VARCHAR($tamNombre), 
            apellidos VARCHAR($tamApellidos),
            dni VARCHAR($tamDni),   
            PRIMARY KEY(id)
            )";
        if ($db->query($consultaCreaTablaUsuarios)) {
            print "<p>Tabla de Usuarios creada correctamente.</p>\n";
        } else {
            print "<p>Error al crear la tabla de Usuarios.</p>\n";
        }
        $consultaCreaTablaPrestamos = "CREATE TABLE $dbPrestamos (
            id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
            id_usuario INTEGER UNSIGNED, 
            id_obra INTEGER UNSIGNED, 
            prestado DATE, 
            devuelto DATE, 
            PRIMARY KEY(id)
            )";
        if ($db->query($consultaCreaTablaPrestamos)) {
            print "<p>Tabla de Préstamos creada correctamente.</p>\n";
        } else {
            print "<p>Error al crear la tabla de Préstamos.</p>\n";
        }
    } else {
        print "<p>Error al crear la base de datos.</p>\n";
    }
}

function borraTodoSqlite($db)
{
    global $dbObras, $dbUsuarios, $dbPrestamos, $tamAutor, $tamTitulo,
           $tamEditorial, $tamNombre, $tamApellidos, $tamDni, $tamFecha;
        
    $consulta = "DROP TABLE $dbObras";
    if ($db->query($consulta)) {
       print "<p>Tabla de Obras borrada correctamente.</p>\n";
    } else {
        print "<p>Error al borrar la tabla de Obras.</p>\n";
    }
    $consulta = "DROP TABLE $dbUsuarios";
    if ($db->query($consulta)) {
       print "<p>Tabla de Usuarios borrada correctamente.</p>\n";
    } else {
        print "<p>Error al borrar la tabla de Usuarios.</p>\n";
    }
    $consulta = "DROP TABLE $dbPrestamos";
    if ($db->query($consulta)) {
       print "<p>Tabla de Préstamos borrada correctamente.</p>\n";
    } else {
        print "<p>Error al borrar la tabla de Préstamos.</p>\n";
    }
    
    $consultaCreaTablaObras = "CREATE TABLE $dbObras (
        id INTEGER PRIMARY KEY,
        autor VARCHAR($tamAutor), 
        titulo VARCHAR($tamTitulo), 
        editorial VARCHAR($tamEditorial)
        )";
    if ($db->query($consultaCreaTablaObras)) {
        print "<p>Tabla de Obras creada correctamente.</p>\n";
    } else {
        print "<p>Error al crear la tabla de Obras.</p>\n";
    }
    $consultaCreaTablaUsuarios = "CREATE TABLE $dbUsuarios (
        id INTEGER PRIMARY KEY,
        nombre VARCHAR($tamNombre), 
        apellidos VARCHAR($tamApellidos),
        dni VARCHAR($tamDni)   
        )";
    if ($db->query($consultaCreaTablaUsuarios)) {
        print "<p>Tabla de Usuarios creada correctamente.</p>\n";
    } else {
        print "<p>Error al crear la tabla de Usuarios.</p>\n";
    }
    $consultaCreaTablaPrestamos = "CREATE TABLE $dbPrestamos (
        id INTEGER PRIMARY KEY,
        id_usuario INTEGER UNSIGNED, 
        id_obra INTEGER UNSIGNED, 
        prestado DATE, 
        devuelto DATE 
        )";
    if ($db->query($consultaCreaTablaPrestamos)) {
        print "<p>Tabla de Préstamos creada correctamente.</p>\n";
    } else {
        print "<p>Error al crear la tabla de Préstamos.</p>\n";
    }
}

if (!isset($_REQUEST['si'])) {
    header('Location:index.php');
    exit();
} else {
    include('funciones.php');
    $db = conectaDb();
    cabecera('Borrar todo 2');
    if ($dbMotor==MYSQL) {
        borraTodoMySQL($db);
    } elseif ($dbMotor==SQLITE) {
        borraTodoSqlite($db);
    }
    $db = NULL;
    pie();
}
?>
